Page MenuHomePhabricator

[NFC][mlir] Adding more operators to EDSC TemplatedIndexedValue
ClosedPublic

Authored by kernhanda on Feb 16 2020, 2:25 AM.

Details

Summary

This change adds some missing arithmetic and logical operators to TemplatedIndexedValue for EDSC usage.

Diff Detail

Event Timeline

kernhanda created this revision.Feb 16 2020, 2:25 AM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 16 2020, 2:25 AM
ftynse added inline comments.Feb 17 2020, 12:55 AM
mlir/include/mlir/EDSC/Builders.h
602

Could we have some block comments here? In particular, separating the two groups of operators (taking ValueHandle and taking TemplatedIndexedValue).

kernhanda updated this revision to Diff 245317.Feb 18 2020, 7:38 PM

Added comments

kernhanda marked an inline comment as done.Feb 18 2020, 7:38 PM
ftynse accepted this revision.Feb 21 2020, 4:24 AM
This revision is now accepted and ready to land.Feb 21 2020, 4:24 AM
This revision was automatically updated to reflect the committed changes.